org.apache.storm

## Class Thrift

- java.lang.Object
- - org.apache.storm.Thrift

-     public class Thrift
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Thrift.BoltDetails`
    `static class` | `Thrift.SpoutDetails`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Thrift()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StormTopology` | `buildTopology(HashMap<String,Thrift.SpoutDetails> spoutMap, HashMap<String,Thrift.BoltDetails> boltMap, HashMap<String,StateSpoutSpec> stateMap)`
    `static StormTopology` | `buildTopology(Map<String,Thrift.SpoutDetails> spoutMap, Map<String,Thrift.BoltDetails> boltMap)`
    `static Object` | `deserializeComponentObject(ComponentObject obj)`
    `static StreamInfo` | `directOutputFields(List<String> fields)`
    `static List<String>` | `fieldGrouping(Grouping grouping)`
    `static int` | `getParallelismHint(ComponentCommon componentCommon)`
    `static StormTopology._Fields[]` | `getSpoutFields()`
    `static StormTopology._Fields[]` | `getTopologyFields()`
    `static Grouping._Fields` | `groupingType(Grouping grouping)`
    `static Object` | `instantiateJavaObject(JavaObject obj)`
    `static boolean` | `isGlobalGrouping(Grouping grouping)`
    `static StreamInfo` | `outputFields(List<String> fields)`
    `static Grouping` | `prepareAllGrouping()`
    `static Thrift.BoltDetails` | `prepareBoltDetails(Map<GlobalStreamId,Grouping> inputs, Object bolt)`
    `static Thrift.BoltDetails` | `prepareBoltDetails(Map<GlobalStreamId,Grouping> inputs, Object bolt, Integer parallelismHint)`
    `static Thrift.BoltDetails` | `prepareBoltDetails(Map<GlobalStreamId,Grouping> inputs, Object bolt, Integer parallelismHint, Map<String,Object> conf)`
    `static ComponentCommon` | `prepareComponentCommon(Map<GlobalStreamId,Grouping> inputs, Map<String,StreamInfo> outputs, Integer parallelismHint)`
    `static ComponentCommon` | `prepareComponentCommon(Map<GlobalStreamId,Grouping> inputs, Map<String,StreamInfo> outputs, Integer parallelismHint, Map<String,Object> conf)`
    `static Grouping` | `prepareCustomJavaObjectGrouping(JavaObject obj)`
    `static Grouping` | `prepareCustomStreamGrouping(Object obj)`
    `static Grouping` | `prepareDirectGrouping()`
    `static Grouping` | `prepareFieldsGrouping(List<String> fields)`
    `static Grouping` | `prepareGlobalGrouping()`
    `static Grouping` | `prepareLocalOrShuffleGrouping()`
    `static Grouping` | `prepareNoneGrouping()`
    `static Bolt` | `prepareSerializedBoltDetails(Map<GlobalStreamId,Grouping> inputs, IBolt bolt, Map<String,StreamInfo> outputs, Integer parallelismHint, Map<String,Object> conf)`
    `static SpoutSpec` | `prepareSerializedSpoutDetails(IRichSpout spout, Map<String,StreamInfo> outputs)`
    `static Grouping` | `prepareShuffleGrouping()`
    `static Thrift.SpoutDetails` | `prepareSpoutDetails(IRichSpout spout)`
    `static Thrift.SpoutDetails` | `prepareSpoutDetails(IRichSpout spout, Integer parallelismHint)`
    `static Thrift.SpoutDetails` | `prepareSpoutDetails(IRichSpout spout, Integer parallelismHint, Map<String,Object> conf)`
    `static ComponentObject` | `serializeComponentObject(Object obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Thrift

          public Thrift()

  - ### Method Detail

    - #### getTopologyFields

          public static StormTopology._Fields[] getTopologyFields()

    - #### getSpoutFields

          public static StormTopology._Fields[] getSpoutFields()

    - #### directOutputFields

          public static StreamInfo directOutputFields(List<String> fields)

    - #### outputFields

          public static StreamInfo outputFields(List<String> fields)

    - #### prepareShuffleGrouping

          public static Grouping prepareShuffleGrouping()

    - #### prepareLocalOrShuffleGrouping

          public static Grouping prepareLocalOrShuffleGrouping()

    - #### prepareFieldsGrouping

          public static Grouping prepareFieldsGrouping(List<String> fields)

    - #### prepareGlobalGrouping

          public static Grouping prepareGlobalGrouping()

    - #### prepareDirectGrouping

          public static Grouping prepareDirectGrouping()

    - #### prepareAllGrouping

          public static Grouping prepareAllGrouping()

    - #### prepareNoneGrouping

          public static Grouping prepareNoneGrouping()

    - #### prepareCustomStreamGrouping

          public static Grouping prepareCustomStreamGrouping(Object obj)

    - #### prepareCustomJavaObjectGrouping

          public static Grouping prepareCustomJavaObjectGrouping(JavaObject obj)

    - #### instantiateJavaObject

          public static Object instantiateJavaObject(JavaObject obj)

    - #### groupingType

          public static Grouping._Fields groupingType(Grouping grouping)

    - #### fieldGrouping

          public static List<String> fieldGrouping(Grouping grouping)

    - #### isGlobalGrouping

          public static boolean isGlobalGrouping(Grouping grouping)

    - #### getParallelismHint

          public static int getParallelismHint(ComponentCommon componentCommon)

    - #### serializeComponentObject

          public static ComponentObject serializeComponentObject(Object obj)

    - #### deserializeComponentObject

          public static Object deserializeComponentObject(ComponentObject obj)

    - #### prepareComponentCommon

          public static ComponentCommon prepareComponentCommon(Map<GlobalStreamId,Grouping> inputs,
                                                               Map<String,StreamInfo> outputs,
                                                               Integer parallelismHint)

    - #### prepareComponentCommon

          public static ComponentCommon prepareComponentCommon(Map<GlobalStreamId,Grouping> inputs,
                                                               Map<String,StreamInfo> outputs,
                                                               Integer parallelismHint,
                                                               Map<String,Object> conf)

    - #### prepareSerializedSpoutDetails

          public static SpoutSpec prepareSerializedSpoutDetails(IRichSpout spout,
                                                                Map<String,StreamInfo> outputs)

    - #### prepareSerializedBoltDetails

          public static Bolt prepareSerializedBoltDetails(Map<GlobalStreamId,Grouping> inputs,
                                                          IBolt bolt,
                                                          Map<String,StreamInfo> outputs,
                                                          Integer parallelismHint,
                                                          Map<String,Object> conf)

    - #### prepareBoltDetails

          public static Thrift.BoltDetails prepareBoltDetails(Map<GlobalStreamId,Grouping> inputs,
                                                              Object bolt)

    - #### prepareBoltDetails

          public static Thrift.BoltDetails prepareBoltDetails(Map<GlobalStreamId,Grouping> inputs,
                                                              Object bolt,
                                                              Integer parallelismHint)

    - #### prepareBoltDetails

          public static Thrift.BoltDetails prepareBoltDetails(Map<GlobalStreamId,Grouping> inputs,
                                                              Object bolt,
                                                              Integer parallelismHint,
                                                              Map<String,Object> conf)

    - #### prepareSpoutDetails

          public static Thrift.SpoutDetails prepareSpoutDetails(IRichSpout spout)

    - #### prepareSpoutDetails

          public static Thrift.SpoutDetails prepareSpoutDetails(IRichSpout spout,
                                                                Integer parallelismHint)

    - #### prepareSpoutDetails

          public static Thrift.SpoutDetails prepareSpoutDetails(IRichSpout spout,
                                                                Integer parallelismHint,
                                                                Map<String,Object> conf)

    - #### buildTopology

          public static StormTopology buildTopology(HashMap<String,Thrift.SpoutDetails> spoutMap,
                                                    HashMap<String,Thrift.BoltDetails> boltMap,
                                                    HashMap<String,StateSpoutSpec> stateMap)

    - #### buildTopology

          public static StormTopology buildTopology(Map<String,Thrift.SpoutDetails> spoutMap,
                                                    Map<String,Thrift.BoltDetails> boltMap)

Copyright © 2021 The Apache Software Foundation. All rights reserved.